﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using System.Collections.ObjectModel;

namespace DataFormXML
{
    [XmlRoot(ElementName = "Items")]
    public class XmlNodeItemList : ObservableCollection<XmlNodeItem>
    {
        public void AddRange(IEnumerable<XmlNodeItem> range)
        {
            foreach (XmlNodeItem node in range)
            {
                this.Add(node);
            }
        }
    }
}
